echo on; clear all
tspan=[0 3];		  % initial and final time
y0=[15 -15 10]';      % initial conditions
[t,y]=ode45('c5_1_1b',tspan,y0);   %ode45 MATLAB solver
% Plot of the time history found by solving 
% three differential equations assigned in the file c5_1_1b.m
plot(t,y(:,1),'--',t,y(:,2),'-',t,y(:,3),':');
xlabel('Time (seconds)'); 
title('Solution of Differential Equations: x1, x2 and x3');
pause
% 3-D plot w(y1,y2,y3)
plot3(y(:,1),y(:,2),y(:,3))
xlabel('x1'), ylabel('x2'), zlabel('x3')
text(15,-15,10,'x0 Initial')
text(0,0,0,'0 Origin')
v=axis
pause; disp('END')