function yprime=difer(t,y);
% converter parameters
rs=0.025; rl=0.05; rc=0.05; ra=2.5; C=0.05; L=0.005; La=0.05;
% voltage applied, back emf and duty ratio
Vd=50; Ea=5; D=0.5;
% three differential equations to model a buck converter
yprime=[(y(2,:)-y(3,:))/C;...
(-y(1,:)-(rl+rc)*y(2,:)+rc*y(3,:)-rs*y(2,:)*D+Vd*D)/L;...
(y(1,:)+rc*y(2,:)-(rc+ra)*y(3,:)-Ea)/La];
