function yprime=difer(t,y);
% converter parameters
rs=0.025; rl=0.05; rc=0.05; ra=2.5; C=0.05; L=0.005; La=0.05;
% voltage applied, back emf and duty ratio
Vd=50; Ea=5; D=0.25;
% three differential equations to model a boost converter
yprime=[(y(2,:)-y(3,:)-y(2,:)*D)/C;...
(-y(1,:)-(rl+rc)*y(2,:)+rc*y(3,:)+y(1,:)*D+(rc-rs)*y(2,:)*D-rc*y(3,:)*D+Vd)/L;...
(y(1,:)+rc*y(2,:)-(ra+rc)*y(3,:)-rc*y(2,:)*D-Ea)/La];